package com.njcn.cssystem.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.njcn.cssystem.pojo.param.CsAlarmSetParam;
import com.njcn.cssystem.pojo.po.CsAlarmSet;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author xy
 * @since 2026-05-08
 */
public interface ICsAlarmSetService extends IService<CsAlarmSet> {

    boolean add(CsAlarmSetParam param);

    boolean update(CsAlarmSetParam param);

    boolean delete(String id);

    CsAlarmSet getById(String id);

    List<CsAlarmSet> listAll();

    boolean toggleActive(String id);

    CsAlarmSet getEnabledConfig();

}
